package no.skd.sl.view.facelets.showcase;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

@ManagedBean
@ViewScoped
public class TwoTablesProblemBean implements Serializable {
	private static final long serialVersionUID = 1L;
	private List<String> dataListOne;
	private List<String> dataListTwo;
	private List<Integer> chosenIndexesOne = new ArrayList<Integer>();
	private List<Integer> chosenIndexesTwo = new ArrayList<Integer>();
	private List<String> selectionOne = new ArrayList<String>();
	private List<String> selectionTwo = new ArrayList<String>();

	public TwoTablesProblemBean() {
		dataListOne = createDataList(0, 50);
		dataListTwo = createDataList(50, 100);
	}

	private List<String> createDataList(int from, int to) {
		List<String> createdList = new ArrayList<String>();
		for(int i = from; i < to; i++) {
			createdList.add("String " + i);
		}
		return createdList;
	}

	public void chooseRowInTableOne() {
		selectionOne = new ArrayList<String>();
		for(Integer valgtRad : chosenIndexesOne) {
			selectionOne.add(dataListOne.get(valgtRad));
		}
	}

	public void chooseRowInTableTwo() {
		selectionTwo = new ArrayList<String>();
		for(Integer valgtRad : chosenIndexesTwo) {
			selectionTwo.add(dataListTwo.get(valgtRad));
		}
	}

	public List<Integer> getChosenIndexesOne() {
		return chosenIndexesOne;
	}

	public void setChosenIndexesOne(List<Integer> chosenIndexesOne) {
		this.chosenIndexesOne = chosenIndexesOne;
	}

	public List<Integer> getChosenIndexesTwo() {
		return chosenIndexesTwo;
	}

	public void setChosenIndexesTwo(List<Integer> chosenIndexesTwo) {
		this.chosenIndexesTwo = chosenIndexesTwo;
	}

	public List<String> getDataListOne() {
		return dataListOne;
	}

	public void setDataListOne(List<String> dataListOne) {
		this.dataListOne = dataListOne;
	}

	public List<String> getDataListTwo() {
		return dataListTwo;
	}

	public void setDataListTwo(List<String> dataListTwo) {
		this.dataListTwo = dataListTwo;
	}

	public List<String> getSelectionOne() {
		return selectionOne;
	}

	public void setSelectionOne(List<String> selectionOne) {
		this.selectionOne = selectionOne;
	}

	public List<String> getSelectionTwo() {
		return selectionTwo;
	}

	public void setSelectionTwo(List<String> selectionTwo) {
		this.selectionTwo = selectionTwo;
	}

}
